petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmSetCellDM

Attachs a DM to a DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmSetCellDM(DM dm,DM dmcell)

Collective on dm

### Input parameters

| dm | - a DMSwarm
| dmcell | - the DM to attach to the DMSwarm

### Notes

The attached DM (dmcell) will be queried for point location and neighbor MPI-rank information if DMSwarmMigrate() is called.

### See Also

DMSwarmSetType(), DMSwarmGetCellDM(), DMSwarmMigrate()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages